Subject: bug#56357: Request for font size adaptation that fits window

From: [email-masked]
Date: Mon, 4 Jul 2022 21:25:24 +0200 (CEST)

-- 
 Sent with Tutanota, enjoy secure & ad-free emails. 

Jul 4, 2022, 11:42 by [email-masked]:

>> Cc: [email-masked]
>> From: Lars Ingebrigtsen <[email-masked]>
>> Date: Mon, 04 Jul 2022 13:01:20 +0200
>>
>> [email-masked] writes:
>>
>> > Suppose a user uses a 13 pt font size.  Let there be some space
>> > between the longest line in the buffer and the edge of the window.  It
>> > would be super if the font size could be automatically increased, such
>> > that the difference between the longest line and the window size in
>> > minimised.
>>
>> I think that sounds like a useful feature, and I'm kinda surprised that
>> it doesn't exist yet.  Or does it?  Anybody know?
>>
>> To implement this, I guess the obvious thing would be to have a global
>> minor mode that'd listen to frame size changes, and then adjust the font
>> size up/down to reach the desired number of characters in a frame?  So
>> we'd have a user option font-size-adjust-target (defaulting to 80)
>> and a font-size-adjust-mode?
>>
>
> That's not what the feature request asked for, AFAIU: it wanted
> dynamic resizing, and it wanted the size to depend on the "longest
> line" (not clear if "longest in the window" or "longest in the
> buffer").
>
Correct, a dynamic resizing based on "longest in the buffer".  I would say that 
one would not want frequent resizing either.  Though I am not best to state how the
dynamic resizing could get activated.  Then again there should be a limit of the size
of the font for instances where the resizing would get too big for files with short lines.

> With your proposal, how would you determine the target value?  If it's
> just an arbitrary value (80 sounds like an arbitrary one to me), then
> the recently-added global-text-scale-adjust-resizes-frames variable
> does the same, just from the other end: the user enlarges the font and
> the frame follows suit.  And since our default frame width is already
> set for 80 characters, it sounds like we already have the feature you
> envisioned, no?
>